{% extends "cfp/event/base.html" %}
{% load i18n %}
{% load rich_text %}
{% load rules %}

{% block content %}
    {% with cfp=request.event.cfp %}
        {% has_perm 'agenda.view_featured_submissions' request.user request.event as can_view_featured_submissions %}
        {% if request.event.landing_page_text %}
            {{ request.event.landing_page_text|rich_text }}
        {% endif %}
        <div class="row mb-4 url-links">
            {% if has_submissions or request.user.is_anonymous %}
                {% if not is_html_export %}
                    <a class="btn btn-info btn-lg btn-block" href="{{ request.event.urls.user_submissions }}">
                        {% translate "Edit or view your proposals" %}
                    </a>
                {% endif %}
            {% endif %}
            {% if request.event.current_schedule and request.event.feature_flags.show_schedule %}
                <a class="btn btn-success btn-lg btn-block" href="{{ request.event.urls.talks }}">
                    {% translate "View conference schedule" %}
                </a>
            {% elif can_view_featured_submissions and has_featured %}
                <a class="btn btn-info btn-lg btn-block" href="{{ request.event.urls.featured }}">
                    {% translate "View schedule preview" %}
                </a>
            {% endif %}
            {% if cfp.is_open and not is_html_export %}
                <a class="btn btn-info btn-lg btn-block" href="{{ request.event.cfp.urls.public }}{{ submit_qs }}">
                    {% translate "Go to CfP" %}
                </a>
            {% endif %}
        </div>
    {% endwith %}
{% endblock %}
